import e from "../utils/index.js";
import t from "../color/index.js";
//#region ../../node_modules/khroma/dist/methods/adjust_channel.js
var n = (n, r, i) => {
	let a = t.parse(n), o = a[r], s = e.channel.clamp[r](o + i);
	return o !== s && (a[r] = s), t.stringify(a);
};
//#endregion
export { n as default };
